Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.replay
Class BasicEntryDeserializer

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.replay.BasicEntryDeserializer

All Implemented Interfaces:
  EntryDeserializer, PeerReviewEvents

Direct Known Subclasses:
  MyEntryDeserializer

    public class BasicEntryDeserializer

extends java.lang.Object
implements PeerReviewEvents, EntryDeserializer

Field Summary

Fields inherited from interface org.mpisws.p2p.transport.peerreview.PeerReviewEvents
`EVT_ACK, EVT_CHECKPOINT, EVT_INIT, EVT_MAX_SOCKET_EVT, EVT_MIN_SOCKET_EVT, EVT_RECV, EVT_SEND, EVT_SENDSIGN, EVT_SIGN, EVT_SOCKET_CAN_READ, EVT_SOCKET_CAN_RW, EVT_SOCKET_CAN_WRITE, EVT_SOCKET_CLOSE, EVT_SOCKET_CLOSED, EVT_SOCKET_EXCEPTION, EVT_SOCKET_OPEN_INCOMING, EVT_SOCKET_OPEN_OUTGOING, EVT_SOCKET_OPENED_OUTGOING, EVT_SOCKET_READ, EVT_SOCKET_SHUTDOWN_OUTPUT, EVT_SOCKET_WRITE, EX_TYPE_ClosedChannel, EX_TYPE_IO, EX_TYPE_Unknown`

Constructor Summary
`BasicEntryDeserializer()`

Method Summary
`java.lang.String` | `entryId(short id)`
`static void` | `main(java.lang.String[] args)`
`static void` | `printLog(java.lang.String name, EntryDeserializer deserializer, Environment env)`
`java.lang.String` | `read(IndexEntry ie, SecureHistory history)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEntryDeserializer

    public BasicEntryDeserializer()

Method Detail

### entryId

    public java.lang.String entryId(short id)

  Specified by:
    `entryId` in interface `EntryDeserializer`

### read

    public java.lang.String read(IndexEntry ie,
                                 SecureHistory history)
                          throws java.io.IOException

  Specified by:
    `read` in interface `EntryDeserializer`
  Throws:
    `java.io.IOException`

### printLog

    public static void printLog(java.lang.String name,
                                EntryDeserializer deserializer,
                                Environment env)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static final void main(java.lang.String[] args)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.